BLK_END_REQUEST(9)

NAME
blk_end_request - Helper function for drivers to complete the request.

SYNOPSIS

bool blk_end_request(struct request * rq, int error, unsigned int nr_bytes);

ARGUMENTS

rq
    the request being processed

error
    0 for success, < 0 for error

nr_bytes
    number of bytes to complete

DESCRIPTION

Ends I/O on a number of bytes attached to rq. If rq has leftover, sets it up for the next range of segments.

RETURN

false - we are done with this request true - still buffers pending for this request

COPYRIGHT